Imports DevExpress.ExpressApp.Web.Editors.ASPx
Imports DevExpress.Web
Imports DevExpress.Utils

Public Class WebAllowSortListViewController
    Inherits AllowSortListViewController
    Protected Overrides Sub OnViewControlsCreated()
        MyBase.OnViewControlsCreated()
        UpdateAllowSort()
    End Sub
    Protected Overrides Sub UpdateAllowSort()
        'Dim gridListEditor As ASPxGridListEditor = TryCast(View.Editor, ASPxGridListEditor)
        'If gridListEditor IsNot Nothing Then
        '    Dim allowSortListView As Boolean = GetAllowSortListView()
        '    gridListEditor.Grid.SettingsBehavior.AllowSort = allowSortListView
        '    If allowSortListView Then
        '        For Each column As GridViewColumn In gridListEditor.Grid.Columns
        '            Dim dataColumn As GridViewDataColumn = TryCast(column, GridViewDataColumn)
        '            If dataColumn IsNot Nothing Then
        '                If GetAllowSortColumn(dataColumn) Then
        '                    dataColumn.Settings.AllowSort = DefaultBoolean.True
        '                Else
        '                    dataColumn.Settings.AllowSort = DefaultBoolean.False
        '                End If

        '            End If
        '        Next column
        '    End If
        'End If
    End Sub
End Class


